ONVIF::Device::Elements::GetSystemLogResponse(3)

NAME
ONVIF::Device::Elements::GetSystemLogResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetSystemLogResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SystemLog

     $element->set_SystemLog($data);
     $element->get_SystemLog();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetSystemLogResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   SystemLog =>  { # ONVIF::Device::Types::SystemLog
     Binary =>  { # ONVIF::Device::Types::AttachmentData
       Include =>  { # ONVIF::Device::Types::Include
       },
     },
     String =>  $some_value, # string
   },
 },

AUTHOR
Generated by SOAP::WSDL